<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.bwwei</groupId>
    <artifactId>day8.7ks</artifactId>
    <version>1.0-SNAPSHOT</version>
    <packaging>pom</packaging>

    <modules>
        <module>yangpeng-auth</module>
        <module>yangpeng-common</module>
        <module>yangpeng-gateway</module>
        <module>yangpeng-modules</module>
    </modules>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <spring-cloud-alibaba.version>2021.1</spring-cloud-alibaba.version>
        <spring-cloud.version>2021.0.0</spring-cloud.version>
        <alibaba-nacos.version>2.0.4</alibaba-nacos.version>
        <nacos-common.version>1.0-SNAPSHOT</nacos-common.version>
        <jjwt.version>0.9.1</jjwt.version>
        <alibaba-fastjson.version>1.2.80</alibaba-fastjson.version>
        <hutool.version>5.8.3</hutool.version>
        <alibaba-dysmsapi.version>2.0.1</alibaba-dysmsapi.version>
        <alibaba-sdk.version>3.12.0</alibaba-sdk.version>
        <taobao.version>1.26.5</taobao.version>
        <alibaba-drulid.version>1.2.8</alibaba-drulid.version>
        <mybatis.version>2.2.2</mybatis.version>
        <pageHelper.version>1.4.1</pageHelper.version>
    </properties>
    <!--   规定springBoot版本   -->
    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-parent</artifactId>
        <version>2.6.2</version>
    </parent>
    <!--   依赖管理 锁定版本   -->
    <dependencyManagement>
        <dependencies>
            <!--   springCloud微服务   -->
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-alibaba-dependencies</artifactId>
                <version>${spring-cloud-alibaba.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring-cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <!--   nacos配置   -->
            <dependency>
                <groupId>com.alibaba.nacos</groupId>
                <artifactId>nacos-client</artifactId>
                <version>${alibaba-nacos.version}</version>
            </dependency>
            <!--   系统公共类   -->
            <dependency>
                <groupId>com.bwwei</groupId>
                <artifactId>yangpeng-common</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <!--   子类版本统一管理   -->
            <!--    JWT    -->
            <dependency>
                <groupId>io.jsonwebtoken</groupId>
                <artifactId>jjwt</artifactId>
                <version>${jjwt.version}</version>
            </dependency>
            <!--    Alibaba Fastjson    -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${alibaba-fastjson.version}</version>
            </dependency>
            <!--    hutool    -->
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool.version}</version>
            </dependency>
            <!--    阿里大鱼    -->
            <dependency>
                <groupId>com.aliyun</groupId>
                <artifactId>dysmsapi20170525</artifactId>
                <version>${alibaba-dysmsapi.version}</version>
            </dependency>
            <!--    oss 图片上传    -->
            <dependency>
                <groupId>com.aliyun.oss</groupId>
                <artifactId>aliyun-sdk-oss</artifactId>
                <version>${alibaba-sdk.version}</version>
            </dependency>
            <dependency>
                <groupId>com.github.tobato</groupId>
                <artifactId>fastdfs-client</artifactId>
                <version>${taobao.version}</version>
            </dependency>
            <!--   druid   -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid-spring-boot-starter</artifactId>
                <version>${alibaba-drulid.version}</version>
            </dependency>
            <!--    Mybatis 依赖配置    -->
            <dependency>
                <groupId>org.mybatis.spring.boot</groupId>
                <artifactId>mybatis-spring-boot-starter</artifactId>
                <version>${mybatis.version}</version>
            </dependency>
            <!--    Pagehelper    -->
            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>${pageHelper.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>
</project>